From 8fc6a8175b266adaf02b2662e174869e3a55b8cf Mon Sep 17 00:00:00 2001
From: MarkusTeufelberger <markusteufelberger@gmail.com>
Date: Thu, 11 Oct 2018 11:07:40 +0200
Subject: [PATCH] Remove unused execinfo.h header

Fixes #2671 and #2159
---
 src/ripple/beast/core/BasicNativeHeaders.h | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/src/ripple/beast/core/BasicNativeHeaders.h b/src/ripple/beast/core/BasicNativeHeaders.h
index cbb3089cbb..9e88fd3558 100644
--- a/src/ripple/beast/core/BasicNativeHeaders.h
+++ b/src/ripple/beast/core/BasicNativeHeaders.h
@@ -289,11 +289,7 @@
  #include <sys/time.h>
  #include <net/if.h>
  #include <sys/ioctl.h>
-
- #if ! BEAST_ANDROID && ! BEAST_BSD
-  #include <execinfo.h>
- #endif
-#endif
+#endif	
 
 #if BEAST_MAC || BEAST_IOS
  #include <xlocale.h>
